syntaxhighlighter evelovedを使う時の注意点

LINEで送る
Pocket

syntaxhighlighter使えないぞ!っていままでもやもやしていたのですが、原因が分かったのでメモ。

原因は、使っているテンプレートにありました。
Wordpressの関数で、 wp_head();とwp_footer(); が両方呼ばれていないと正しく動作しないみたいです。

なので、 header.phpに wp_head();があるか、 footer.phpに wp_footer(); があるか確認しましたが、footer.phpで wp_footer(); が呼ばれてなかった様です。

footer.phpに wp_footer();を追記すると、無事syntaxlighlighterが使えるようになりました。

試しに。

コードのテスト

Word Pressの自動アップデート

LINEで送る
Pocket

連続Postですみません。

最近WordPress上でアップデートが可能になってとても便利だな〜なんてのんびり喜んでいたのですが、google analysisのプラグインの設定が消えてしまう、という問題が起こりました。

実際このサイトは誰が見ているんだろう、という位なのでpvとかあまり意識していなかったのですが、ある日を境にアクセス数が0になってたので、さすがにこれはおかしいと思い調べてみると、UA-00000-0というような値になってしまっていました。。。。

メニュー下部のここをクリックして設定を確認してみるとよいと思います。

wpの環境設定

wpの環境設定